org.apache.cassandra.thrift

## Class MultiSliceRequest

- java.lang.Object
- - org.apache.cassandra.thrift.MultiSliceRequest

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<MultiSliceRequest>, org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>

    public class MultiSliceRequest
    extends java.lang.Object
    implements org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<MultiSliceRequest>

Used to perform multiple slices on a single row key in one rpc operation

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `MultiSliceRequest._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`ColumnParent` `column_parent`
`java.util.List<ColumnSlice>` `column_slices`
`ConsistencyLevel` `consistency_level`
`int` `count`
`java.nio.ByteBuffer` `key`
`static java.util.Map<MultiSliceRequest._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `reversed`

### Constructor Summary

Constructors
Constructor and Description
`MultiSliceRequest()`
`MultiSliceRequest(MultiSliceRequest other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToColumn_slices(ColumnSlice elem)`
`java.nio.ByteBuffer` `bufferForKey()`
`void` `clear()`
`int` `compareTo(MultiSliceRequest other)`
`MultiSliceRequest` `deepCopy()`
`boolean` `equals(MultiSliceRequest that)`
`boolean` `equals(java.lang.Object that)`
`MultiSliceRequest._Fields` `fieldForId(int fieldId)`
`ColumnParent` `getColumn_parent()`
`java.util.List<ColumnSlice>` `getColumn_slices()`
`java.util.Iterator<ColumnSlice>` `getColumn_slicesIterator()`
`int` `getColumn_slicesSize()`
`ConsistencyLevel` `getConsistency_level()`
`int` `getCount()`
`java.lang.Object` `getFieldValue(MultiSliceRequest._Fields field)`
`byte[]` `getKey()`
`int` `hashCode()`
`boolean` `isReversed()`
`boolean` `isSet(MultiSliceRequest._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_parent()` Returns true if field column_parent is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_slices()` Returns true if field column_slices is set (has been assigned a value) and false otherwise
`boolean` `isSetConsistency_level()` Returns true if field consistency_level is set (has been assigned a value) and false otherwise
`boolean` `isSetCount()` Returns true if field count is set (has been assigned a value) and false otherwise
`boolean` `isSetKey()` Returns true if field key is set (has been assigned a value) and false otherwise
`boolean` `isSetReversed()` Returns true if field reversed is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`MultiSliceRequest` `setColumn_parent(ColumnParent column_parent)`
`void` `setColumn_parentIsSet(boolean value)`
`MultiSliceRequest` `setColumn_slices(java.util.List<ColumnSlice> column_slices)`
`void` `setColumn_slicesIsSet(boolean value)`
`MultiSliceRequest` `setConsistency_level(ConsistencyLevel consistency_level)`
`void` `setConsistency_levelIsSet(boolean value)`
`MultiSliceRequest` `setCount(int count)`
`void` `setCountIsSet(boolean value)`
`void` `setFieldValue(MultiSliceRequest._Fields field, java.lang.Object value)`
`MultiSliceRequest` `setKey(byte[] key)`
`MultiSliceRequest` `setKey(java.nio.ByteBuffer key)`
`void` `setKeyIsSet(boolean value)`
`MultiSliceRequest` `setReversed(boolean reversed)`
`void` `setReversedIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetColumn_parent()`
`void` `unsetColumn_slices()`
`void` `unsetConsistency_level()`
`void` `unsetCount()`
`void` `unsetKey()`
`void` `unsetReversed()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public java.nio.ByteBuffer key

#### column_parent

    public ColumnParent column_parent

#### column_slices

    public java.util.List<ColumnSlice> column_slices

#### reversed

    public boolean reversed

#### count

    public int count

#### consistency_level

    public ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

#### metaDataMap

    public static final java.util.Map<MultiSliceRequest._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### MultiSliceRequest

    public MultiSliceRequest()

#### MultiSliceRequest

    public MultiSliceRequest(MultiSliceRequest other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public MultiSliceRequest deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>`

#### getKey

    public byte[] getKey()

#### bufferForKey

    public java.nio.ByteBuffer bufferForKey()

#### setKey

    public MultiSliceRequest setKey(byte[] key)

#### setKey

    public MultiSliceRequest setKey(java.nio.ByteBuffer key)

#### unsetKey

    public void unsetKey()

#### isSetKey

    public boolean isSetKey()

Returns true if field key is set (has been assigned a value) and false otherwise

#### setKeyIsSet

    public void setKeyIsSet(boolean value)

#### getColumn_parent

    public ColumnParent getColumn_parent()

#### setColumn_parent

    public MultiSliceRequest setColumn_parent(ColumnParent column_parent)

#### unsetColumn_parent

    public void unsetColumn_parent()

#### isSetColumn_parent

    public boolean isSetColumn_parent()

Returns true if field column_parent is set (has been assigned a value) and false otherwise

#### setColumn_parentIsSet

    public void setColumn_parentIsSet(boolean value)

#### getColumn_slicesSize

    public int getColumn_slicesSize()

#### getColumn_slicesIterator

    public java.util.Iterator<ColumnSlice> getColumn_slicesIterator()

#### addToColumn_slices

    public void addToColumn_slices(ColumnSlice elem)

#### getColumn_slices

    public java.util.List<ColumnSlice> getColumn_slices()

#### setColumn_slices

    public MultiSliceRequest setColumn_slices(java.util.List<ColumnSlice> column_slices)

#### unsetColumn_slices

    public void unsetColumn_slices()

#### isSetColumn_slices

    public boolean isSetColumn_slices()

Returns true if field column_slices is set (has been assigned a value) and false otherwise

#### setColumn_slicesIsSet

    public void setColumn_slicesIsSet(boolean value)

#### isReversed

    public boolean isReversed()

#### setReversed

    public MultiSliceRequest setReversed(boolean reversed)

#### unsetReversed

    public void unsetReversed()

#### isSetReversed

    public boolean isSetReversed()

Returns true if field reversed is set (has been assigned a value) and false otherwise

#### setReversedIsSet

    public void setReversedIsSet(boolean value)

#### getCount

    public int getCount()

#### setCount

    public MultiSliceRequest setCount(int count)

#### unsetCount

    public void unsetCount()

#### isSetCount

    public boolean isSetCount()

Returns true if field count is set (has been assigned a value) and false otherwise

#### setCountIsSet

    public void setCountIsSet(boolean value)

#### getConsistency_level

    public ConsistencyLevel getConsistency_level()

See Also:
  `ConsistencyLevel`

#### setConsistency_level

    public MultiSliceRequest setConsistency_level(ConsistencyLevel consistency_level)

See Also:
  `ConsistencyLevel`

#### unsetConsistency_level

    public void unsetConsistency_level()

#### isSetConsistency_level

    public boolean isSetConsistency_level()

Returns true if field consistency_level is set (has been assigned a value) and false otherwise

#### setConsistency_levelIsSet

    public void setConsistency_levelIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(MultiSliceRequest._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(MultiSliceRequest._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>`

#### isSet

    public boolean isSet(MultiSliceRequest._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(MultiSliceRequest that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(MultiSliceRequest other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<MultiSliceRequest>`

#### fieldForId

    public MultiSliceRequest._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<MultiSliceRequest,MultiSliceRequest._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`